//
// k e y s c a n . c
//
// Show keyboard scancodes
//
// Sep. 14, 2002 by W.Nishida (http://www.skyfree.org)
//

#include "kbc.h"
#include "dos-console.h"

asm(".code16gcc");

int main(void) {
  int ret;

  prints("Hit any key, please.\r\n");

  // Ignore keyboard interrupts

  disable_keyint();			// Disable keyboard interruption

  // Read scancodes repeatedly

  while (1) {
    ret = kbc_read();			// Grub the data
    if (ret == 1)			// Is it ESC key?
      break;				// Then, exit loop
    dump_byte(ret);			// Display the scancode
    printc(' ');
   }

  // Reactivate keyboard interruption

  enable_keyint();
  return 0;
 }
